### Method

# Gtk TextIterget_visible_text

#### Declaration [src]

    char*
    gtk_text_iter_get_visible_text (
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Returns visible text in the given range.

Like `gtk_text_iter_get_text()`, but invisible text is not included. Invisible text is usually invisible because a `GtkTextTag` with the “invisible” attribute turned on has been applied to it.

#### Parameters

`end`

  Type: `GtkTextIter`

  Iterator at end of range.

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

String containing visible text in the range.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.